diff --git "a/C:\\Users\\P\\AppData\\Local\\Temp\\TortoiseGit\\Cha1554.tmp\\ChannelLinkageGrabber-df72c88-left.cs" "b/C:\\Users\\P\\Desktop\\MediaPortal-1\\TvEngine3\\TVLibrary\\TvService\\ChannelLinkage\\ChannelLinkageGrabber.cs"
index a847b4b..1721a49 100644
--- "a/C:\\Users\\P\\AppData\\Local\\Temp\\TortoiseGit\\Cha1554.tmp\\ChannelLinkageGrabber-df72c88-left.cs"
+++ "b/C:\\Users\\P\\Desktop\\MediaPortal-1\\TvEngine3\\TVLibrary\\TvService\\ChannelLinkage\\ChannelLinkageGrabber.cs"
@@ -71,6 +71,22 @@ namespace TvService
                  pChannel.TransportId, pChannel.ServiceId);
         return;
       }
+
+      //get ChannelLinkageMap list where Portal Channel matches
+      Gentle.Framework.SqlBuilder sb = new Gentle.Framework.SqlBuilder(Gentle.Framework.StatementType.Select, typeof(ChannelLinkageMap));
+      sb.AddConstraint(Gentle.Framework.Operator.Equals, "idPortalChannel", dbPortalChannel.IdChannel);
+      Gentle.Framework.SqlStatement stmt = sb.GetStatement(true);
+      IList<ChannelLinkageMap> clmList = Gentle.Framework.ObjectFactory.GetCollection<ChannelLinkageMap>(stmt.Execute());
+
+      // restore display name form tuning details
+      foreach (ChannelLinkageMap clm in clmList)
+      {
+          Channel restoreChannel = clm.ReferringLinkedChannel();        
+          restoreChannel.DisplayName = restoreChannel.ReferringTuningDetail()[0].Name;
+          restoreChannel.Persist();
+          Log.Info("Name of linked channel with name={0} restored", restoreChannel.DisplayName);  
+      }
+
       Gentle.Framework.Broker.Execute("delete from ChannelLinkageMap WHERE idPortalChannel=" + dbPortalChannel.IdChannel);
       foreach (LinkedChannel lChannel in pChannel.LinkedChannels)
       {
@@ -78,11 +94,12 @@ namespace TvService
                                                                   lChannel.ServiceId);
         if (dbLinkedChannnel == null)
         {
-          Log.Info("Linked channel with name={0}, networkId={1}, transportId={2}, serviceId={3} not found",
+          Log.Info("Linked channel with Name={0}, networkId={1}, transportId={2}, serviceId={3} not found",
                    lChannel.Name, lChannel.NetworkId, lChannel.TransportId, lChannel.ServiceId);
           continue;
         }
-        dbLinkedChannnel.DisplayName = lChannel.Name;
+        dbLinkedChannnel.DisplayName = lChannel.Name + " (" + dbLinkedChannnel.ReferringTuningDetail()[0].Name + ")";
+        Log.Info("Renamed linked channel: {0}", lChannel.Name + " (" + dbLinkedChannnel.ReferringTuningDetail()[0].Name + ")");  
         dbLinkedChannnel.Persist();
         ChannelLinkageMap map = new ChannelLinkageMap(dbPortalChannel.IdChannel, dbLinkedChannnel.IdChannel,
                                                       lChannel.Name);
